# $Revision: 1.10 $, $Date: 2006/11/21 19:56:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	HTMLSax3
%define		_status		beta
%define		_pearname	XML_HTMLSax3

%define	_rc		RC1
%define	_rel	2
Summary:	%{_pearname} - A SAX parser for HTML and other badly formed XML documents
Summary(pl):	%{_pearname} - parser SAX dla HTML-a i innych le uformowanych dokumentw XML
Name:		php-pear-%{_pearname}
Version:	3.0.0
Release:	0.%{_rc}.%{_rel}
Epoch:		0
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{_rc}.tgz
# Source0-md5:	37032d3e3bb22b66756b686028106a5e
URL:		http://pear.php.net/package/XML_HTMLSax3
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.0.5
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_HTMLSax3 is a SAX based XML parser for badly formed XML documents,
such as HTML. The original code base was developed by Alexander Zhukov
and published at http://sourceforge.net/projects/phpshelve/. Alexander
kindly gave permission to modify the code and license for inclusion in
PEAR.

PEAR::XML_HTMLSax3 provides an API very similar to the native PHP XML
extension (http://www.php.net/xml), allowing handlers using one to be
easily adapted to the other. The key difference is HTMLSax will not
break on badly formed XML, allowing it to be used for parsing HTML
documents. Otherwise HTMLSax supports all the handlers available from
Expat except namespace and external entity handlers. Provides methods
for handling XML escapes as well as JSP/ASP opening and close tags.

Version 1.x introduced an API similar to the native SAX extension but
used a slow character by character approach to parsing.

Version 2.x has had it's internals completely overhauled to use a
Lexer, delivering performance *approaching* that of the native XML
extension, as well as a radically improved, modular design that makes
adding further functionality easy.

Version 3.x is about fine tuning the API, behaviour and providing a
mechanism to distinguish HTML "quirks" from badly formed HTML (later
functionality not yet implemented)

A big thanks to Jeff Moore (lead developer of WACT:
http://wact.sourceforge.net/) who's largely responsible for new
design, as well input from other members at Sitepoint's Advanced PHP
forums: http://www.sitepointforums.com/showthread.php?threadid=121246.

Thanks also to Marcus Baker (lead developer of SimpleTest:
http://www.lastcraft.com/simple_test.php) for sorting out the unit
tests.

In PEAR status of this package is: %{_status}.

%description -l pl
XML_HTMLSax3 to oparty na SAX parser XML-a dla le uformowanych
dokumentw XML, takich jak HTML. Oryginalny kod bazowy zosta
stworzony przez Alexandra Zhukova i opublikowany pod
http://sourceforge.net/projects/phpshelve/. Alexander udzieli
pozwolenia na modyfikowanie tego kodu oraz licencji na doczenie do
PEAR-a.

PEAR::XML_HTMLSax3 udostpnia API bardzo podobne do natywnego
rozszerzenia PHP XML (http://www.php.net/xml), co pozwala na atwe
dostosowanie procedur obsugujcych uywajcych jednego API do
drugiego. Gwna rnica polega na tym, e HTMLSax nie zaamie si na
le uformowanym XML-u, co pozwala na uywanie go do przetwarzania
dokumentw HTML. Poza tym HTMLSax obsuguje wszystkie procedury
obsugi dostpne w Expacie z wyjtkiem procedur obsugi przestrzeni
nazw i zewntrznych encji. Dostpne s metody do obsugi sekwencji
specjalnych XML, a take znacznikw otwierajcych i zamykajcych
JSP/ASP.

Wersja 1.x wprowadzia API podobne do natywnego rozszerzenia SAX, ale
uywaa wolnego podejcia do przetwarzania (znak po znaku).

Wersja 2.x miaa wntrznoci cakowicie przebudowane do uywania
Lexera, dostarczajc wydajno zblion do natywnego rozszerzenia XML,
a take znaczco ulepszon, modularn architektur znacznie
uatwiajc dodawanie nowej funkcjonalnoci.

Z wersj 3.x zwizane jest dostrajanie API i zachowania oraz
dostpno mechanizmu do rozrniania sztuczek HTML-owych ze le
uformowanych dokumentw (dalsza funkcjonalno nie zostaa jeszcze
zaimplementowana).

Due podzikowania nale si Jeffowi Moore (gwnemu programicie
WACT: http://wact.sourceforge.net/), ktry jest w znaczcy sposb
odpowiedzialny za nowy projekt, a take kod od innych czonkw forw
http://www.sitepointforums.com/showthread.php?threadid=121246.

Podzikowania nale si take Marcusowi Bakerowi (gwnemu
programicie SimpleTestu: http://www.lastcraft.com/simple_test.php) za
uporzdkowanie testw jednostkowych.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_HTMLSax3.spec,v $
Revision 1.10  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.9  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.8  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.7  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.6  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.5  2005/11/01 20:13:20  glen
- include rc in release

Revision 1.4  2005/10/27 19:42:54  qboosh
- pl

Revision 1.3  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.2  2005/10/08 09:44:42  glen
- md5

Revision 1.1  2005/10/08 09:28:38  glen
- created with pear makerpm and adapter
